{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
  <link href="http://allfont.net/allfont.css?fonts=agency-fb" rel="stylesheet" type="text/css" />
  <link rel="stylesheet" href="{% static 'front_end/css/base.css' %}">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
   <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
  {% block style %}
  {% endblock style%}
  <title>
    {% block title %}
    {% endblock title %}
  </title>
</head>
<body>
  <div class="main_container">
    <!-- header top logo -->
    <div class="anime_logo">
      <div class="logo">
      <a href="{% url 'front_end:home' %}"><span class="logo">Anime Central</span></a>
        </div>
      {% if user.is_authenticated %}
      <div class="anime_buttons_login">
      <a href="{% url 'front_end:logout' %}"><button class="login">Logout</button></a></li>
        </div>
      {% else %}
        <div class="anime_buttons_logout">
      <a href="{% url 'front_end:register' %}"><button class="register">Register</button></a></li>
        </div>
        <div class="anime_buttons_register">
      <a href="{% url 'front_end:login' %}"><button class="login">Login</button></a></li>
        </div>
      {% endif %}
    </div>
    <!-- nav bar under logo -->
    <div class="top_nav" id='top_nav' style="margin-bottom: 0px;">
        <div class="search-container">
        <form action='{% url "front_end:anime-search" %}' method='GET'>
        <input type="text" placeholder="Search" name="search">
      </form>
    </div>
        <span id='menu'><img src='data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAC9JREFUeNpi/P//PwM1AQsQU9VEJgYqg8FvICgMGUeel0eTzWiyGU02Qz/ZAAQYAOPcBjEdYroKAAAAAElFTkSuQmCC'  /></span>
        <nav id='navbar' style="display: none;">
        <ul class="navbar navbar-left">
        <li><a href="{% url 'front_end:anime-list' %}">Anime</a></li>
        <li id='li_menu_blog'style="margin-left: 70px;"><a href="{% url 'blog:post_list' %}">Blog</a></li>
            <li id='li_menu_reviews' style="margin-left: 70px;"><a href="{% url 'front_end:anime-review' %}">Reviews</a></li>
            </ul>
            </nav>

    </div>
    <!--body  -->
    <div class="body_block">
    <body>
      {% block body %}
      {% endblock body %}
      </body>
    </div>
  <!--footer  -->
  <div class='filler-200'></div>
  <div class="anime_bottom">
      <div class="follow_us">
      <p>Follow Us:</p>
      <a href="#"><img src="{% static "front_end/assets/facebook.png" %}" alt=""> </a>
      <a href="#"><img src="{% static "front_end/assets/instagram.png" %}" alt=""> </a>
    </div>
  </div>

</div>
    </body>
</html>
<script>
    document.getElementById('menu').addEventListener('click', function () {
        var nav = document.getElementsByTagName('nav')[0];
        if (nav.style.display == 'block') {
            nav.style.display = 'none';
        } else {
            nav.style.display = 'block';
            nav.style.margin = "10px";
        }

        var bar = document.getElementById('top_nav');
        if(bar.style.marginBottom == '50px') {
            bar.style.marginBottom = '0px';
        }
        else {
            bar.style.marginBottom = '50px';
        }

        var bar = document.getElementById('li_menu_blog');
            bar.style.marginLeft = '0px';
        var bar = document.getElementById('li_menu_reviews');
            bar.style.marginLeft = '0px';

    }, false);
</script>